# NWChem DFT (BLYP) single point energy
# using basis sets from the Basis Set Exchange interface

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")

my_basis = addons.BSE({'H':'3-21g',8:'6-31G*'})

# default functional is 'blyp'
nwchem = NWChem(frag=water, method='dft', basis=my_basis)

sp = SP(theory=nwchem)

sp.run()

ecalc = sp.result.energy

# Py-ChemShell regression test reference
eref = -76.383164343243
testutils.validate(ecalc, eref)
